%  sprtwo1.m
% Matlab file for Part 1 of the Forced Springs module

disp('********************************************')
disp('Part 1:  An Undamped Spring with External ')
disp('         Forcing ')    
disp('********************************************')
disp('  ')    

    format short

    disp('Step 1: ')
    disp('Let''s use the symbolic capabilities of MATLAB')
    disp('to solve the initial value problem:')
    disp('  y'''' + k^2 * y = F0*cos(w*t), y(0), y''(0)=0 ')
    disp('symbolically. ')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp('  syms t ')
    disp('  ysol=dsolve(''D2y+k^2*y = F0*cos(w*t)'',''y(0)=0'',''Dy(0)=0''); ')
    disp('  ysol=simple(ysol)')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('-------------------------------------------------')
    disp('Step 1 (cont.)')
    disp('Now, plug the values of the parameters into')
    disp('the solution and plot it. ')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp(' k=5; ')
    disp(' F0=1; ')
    disp(' w=2; ')
    disp(' y=subs(ysol)')
    disp(' ezplot(y,[0,10]) ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('--------------------------------------------')
    disp('Step 2:')
    disp('We will find the derivative yp.  Then we ')
    disp('will define T values in the inteval 0 to 10')
    disp('and plug these T values into the symbolic')
    disp('y and yp.  Then we can do a phase plane ')
    disp('plot of yp versus y. ')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp(' yp=diff(y) ')
    disp(' T=0:0.05:10; ')
    disp(' yT=double( subs(y,t,T) ); ')
    disp(' ypT=double( subs(yp,t,T) ); ')
    disp(' figure(2); clf  ')
    disp(' plot(yT,ypT,''r'') ')
    disp(' axis equal')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('-----------------------------------------------')
    disp('Step 3 ')
    disp('Now, increase w by 0.5, find the new solution,')
    disp('and replot the solution y(t) and the trajectory')
    disp('in the phase plane.')
    disp(' ')
    disp('Enter:')
    disp(' ')
    disp(' w=w+0.5 ')
    disp(' y=subs(ysol)')
    disp(' figure(1); clf ')
    disp(' ezplot(y,[0,10]) ')
    disp(' yp=diff(y) ')
    disp(' yT=double( subs(y,t,T) ); ')
    disp(' ypT=double( subs(yp,t,T) ); ')
    disp(' figure(2); clf  ')
    disp(' plot(yT,ypT,''r'') ')
    disp(' axis equal')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('---------------------------------------------')
    disp('Continue increasing w in steps of 0.5 and ')
    disp('entering the commands from above to re-solve')
    disp('and re-plot. ')
    disp(' ')
    disp('---------------------------------------------')
    disp('For each choice of w, describe what you see.')
    disp('Use MATLAB comments in your diary file.')
    disp(' ')
    disp(' ')
    disp('-------------------------------------------- ')
    disp('When you are ready to go on to part 2 ')
    disp('of this module, type: sprtwo2.')
    disp(' ')
