%  sprtwo4.m
% Matlab file for Part 4 of the Forced Springs module

global c k w F0

disp('********************************************')
disp('Part 4:  Damping (Optional)  ')
disp('********************************************')
disp('  ')    

    format short

    disp('We use the ode23 numberical integrator to ')
    disp('solve the damped forced spring IVP: ')
    disp('  [t,z]=ode23(function_name,[t0,tf],z0)')
    disp('        where z0=[y0,yp0]'', a column vector, ')
    disp('           gives the initial conditions. ')
    disp(' ')
    disp('First we have to convert the second order ')
    disp('differential equation to a system of two')
    disp('first order differential equations. ')
    disp(' ')
    disp('A function that evaluates the right hand side')
    disp('of this system is provided with this module')
    disp('in the file fdamp_rhs.m.  To see the system ')
    disp('enter ''''type fdamp_rhs.m'''' ')
    disp(' ') 
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('--------------------------------------------')
    disp('Steps 1 and 2:')
    disp('The following commands compute the numerical')
    disp('solution to the IVP and plot the solution ')
    disp('and the trajectory in the phase plane. ')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp('  c=1; k=5; w=4; F0=1; ')
    disp('  z0=[0,0]''; ')
    disp('  [t,z]=ode23(''fdamp_rhs'',[0,20],z0); ')
    disp('  y=z(:,1);  ')
    disp('  yp=z(:,2);  ')
    disp('  figure(1); clf ')
    disp('  plot(t,y,''b'') ')
    disp('  figure(2); clf  ')
    disp('  plot(y,yp,''r'') ')
    disp('  axis equal')
    disp(' ')
    disp('-----------------------------------------------')
    disp('Discuss the effects of damping with c=1.')
    disp('You could also try reducing or increasing the')
    disp('value of c to see if it has the effect you ')
    disp('think it should.  You may want to change the ')
    disp('interval of integration from [0,20] to a longer ') 
    disp('time interval to see the long-term effects.')
    disp(' ')
    disp('Use MATLAB comments in your diary file')
    disp('for your discussion. ') 
    disp(' ') 
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('---------------------------------------------')
    disp('Step 3: ')
    disp('Here you want to change the forcing frequency')
    disp('w closer and closer to k=5, re-plot, and observe')
    disp('the effects of damping. You may want to change the ')
    disp('interval of integration from [0,20] to a longer ') 
    disp('time interval to see the long-term effects.')
    disp('Use MATLAB comments in your diary file to ')
    disp('discuss what you learn ')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('---------------------------------------------')
    disp('Step 4: ')
    disp('Here you want to set the forcing frequency')
    disp('w equal to the fixed k value 5, re-plot, and')
    disp('observe the effects of damping. ')
    disp('Use MATLAB comments in your diary file to ')
    disp('discuss what you learn ')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    keyboard;
    disp(' ')

    disp('-----------------------------------------------')
    disp('Step 5: ')
    disp('Don''t count on MATLAB to find the symbolic ')
    disp('solution in a form that will be useful to you.')
    disp('You can try it. ')
    disp(' ')
    disp('You may have to solve by hand or find the ')
    disp('solution of the damped forced spring IVP ')
    disp('in a textbook. ')
    disp(' ')
    disp('-----------------------------------------------')
    disp('Use the symbolic solution to explain the behavior ')
    disp('you observed in your numerical experiments. ')
    disp('Use MATLAB comments in your diary file. ')
    disp(' ') 
    disp(' ')
    disp('-------------------------------------------- ')
    disp('When you are ready to go on to part 5 ')
    disp('of this module, type: sprtwo5.')
    disp(' ')
